namespace TwitchChatTTS.Twitch.Socket.Messages
{
    public class SessionWelcomeMessage
    {
        public required TwitchSocketSession Session { get; set; }
        
        public class TwitchSocketSession {
            public required string Id { get; set; }
            public required string Status { get; set; }
            public DateTime ConnectedAt { get; set; }
            public int? KeepaliveTimeoutSeconds { get; set; }
            public string? ReconnectUrl { get; set; }
            public string? RecoveryUrl { get; set; }
        }
    }
}