namespace TwitchChatTTS.Twitch.Socket.Messages
{
    public class TwitchWebsocketMessage
    {
        public required TwitchMessageMetadata Metadata { get; set; }
        public object? Payload { get; set; }
    }

    public class TwitchMessageMetadata {
        public required string MessageId { get; set; }
        public required string MessageType { get; set; }
        public DateTime MessageTimestamp { get; set; }
    }

    public interface IVersionedMessage {
        string Version { get; set; }
    }
}